- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DInput
- QAxis
- Qt 6.7.3 Reference Documentation

# QAxis Class

class Qt3DInput::QAxis

QAxis stores QAbstractAxisInputs used to trigger an input event. More...

Header: | #include <QAxis>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dinput) target_link_libraries(mytarget PRIVATE Qt6::3dinput)
qmake: | QT += 3dinput
Instantiated By: | Axis
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Properties

- value : const float

## Public Functions

| QAxis(Qt3DCore::QNode *parent = nullptr)
void | addInput(Qt3DInput::QAbstractAxisInput *input)
QList<Qt3DInput::QAbstractAxisInput *> | inputs() const
void | removeInput(Qt3DInput::QAbstractAxisInput *input)
float | value() const

## Signals

void | valueChanged(float value)

## Detailed Description

Constructs a new QAxis instance with parent.

## Property Documentation

### `[read-only]` value : const float

The value of the axis.

Access functions:

float | value() const

Notifier signal:

void | valueChanged(float value)

## Member Function Documentation

### `[explicit]` QAxis::QAxis(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAxis instance with parent parent.

### void QAxis::addInput(Qt3DInput::QAbstractAxisInput *input)

QAxis::addInput Adds an input for the axis.

See also Qt3DInput::QAbstractAxisInput.

### QList<Qt3DInput::QAbstractAxisInput *> QAxis::inputs() const

QAxis::inputs

Returns vector of all inputs added to the axis.

### void QAxis::removeInput(Qt3DInput::QAbstractAxisInput *input)

QAxis::removeInput

Removes an input from the axis.

See also Qt3DInput::QAbstractAxisInput.